Bug 1568131 - [golang-github-aws-aws-sdk-go-devel] can't install
Summary: [golang-github-aws-aws-sdk-go-devel] can't install
Keywords:
Status: NEW
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: golang-github-aws-aws-sdk-go
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1409553
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 19:31 UTC by Carl George
Modified: 2018-04-17 10:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Carl George 2018-04-16 19:31:20 UTC
Description of problem:
I can't install golang-github-aws-aws-sdk-go-devel from EPEL7.

Version-Release number of selected component (if applicable):
golang-github-aws-aws-sdk-go-devel-1.4.22-0.1.git6c577e9.el7

How reproducible:
always

Steps to Reproduce:
1. yum install golang-github-aws-aws-sdk-go-devel

Actual results:
Loaded plugins: ovl
Resolving Dependencies
--> Running transaction check
---> Package golang-github-aws-aws-sdk-go-devel.noarch 0:1.4.22-0.1.git6c577e9.el7 will be installed
--> Processing Dependency: golang(github.com/go-ini/ini) for package: golang-github-aws-aws-sdk-go-devel-1.4.22-0.1.git6c577e9.el7.noarch
--> Processing Dependency: golang(github.com/gucumber/gucumber) for package: golang-github-aws-aws-sdk-go-devel-1.4.22-0.1.git6c577e9.el7.noarch
--> Processing Dependency: golang(github.com/jmespath/go-jmespath) for package: golang-github-aws-aws-sdk-go-devel-1.4.22-0.1.git6c577e9.el7.noarch
--> Processing Dependency: golang(github.com/stretchr/testify/assert) for package: golang-github-aws-aws-sdk-go-devel-1.4.22-0.1.git6c577e9.el7.noarch
--> Processing Dependency: golang(golang.org/x/net/html) for package: golang-github-aws-aws-sdk-go-devel-1.4.22-0.1.git6c577e9.el7.noarch
--> Processing Dependency: golang(golang.org/x/tools/go/loader) for package: golang-github-aws-aws-sdk-go-devel-1.4.22-0.1.git6c577e9.el7.noarch
--> Running transaction check
---> Package golang-github-aws-aws-sdk-go-devel.noarch 0:1.4.22-0.1.git6c577e9.el7 will be installed
--> Processing Dependency: golang(github.com/go-ini/ini) for package: golang-github-aws-aws-sdk-go-devel-1.4.22-0.1.git6c577e9.el7.noarch
--> Processing Dependency: golang(github.com/gucumber/gucumber) for package: golang-github-aws-aws-sdk-go-devel-1.4.22-0.1.git6c577e9.el7.noarch
--> Processing Dependency: golang(github.com/jmespath/go-jmespath) for package: golang-github-aws-aws-sdk-go-devel-1.4.22-0.1.git6c577e9.el7.noarch
--> Processing Dependency: golang(golang.org/x/net/html) for package: golang-github-aws-aws-sdk-go-devel-1.4.22-0.1.git6c577e9.el7.noarch
--> Processing Dependency: golang(golang.org/x/tools/go/loader) for package: golang-github-aws-aws-sdk-go-devel-1.4.22-0.1.git6c577e9.el7.noarch
---> Package golang-github-stretchr-testify-devel.noarch 0:1.1.4-0.2.git69483b4.el7 will be installed
--> Processing Dependency: golang(github.com/davecgh/go-spew/spew) for package: golang-github-stretchr-testify-devel-1.1.4-0.2.git69483b4.el7.noarch
--> Processing Dependency: golang(github.com/pmezard/go-difflib/difflib) for package: golang-github-stretchr-testify-devel-1.1.4-0.2.git69483b4.el7.noarch
--> Processing Dependency: golang(github.com/stretchr/objx) for package: golang-github-stretchr-testify-devel-1.1.4-0.2.git69483b4.el7.noarch
--> Running transaction check
---> Package golang-github-aws-aws-sdk-go-devel.noarch 0:1.4.22-0.1.git6c577e9.el7 will be installed
--> Processing Dependency: golang(github.com/go-ini/ini) for package: golang-github-aws-aws-sdk-go-devel-1.4.22-0.1.git6c577e9.el7.noarch
--> Processing Dependency: golang(github.com/gucumber/gucumber) for package: golang-github-aws-aws-sdk-go-devel-1.4.22-0.1.git6c577e9.el7.noarch
--> Processing Dependency: golang(github.com/jmespath/go-jmespath) for package: golang-github-aws-aws-sdk-go-devel-1.4.22-0.1.git6c577e9.el7.noarch
--> Processing Dependency: golang(golang.org/x/net/html) for package: golang-github-aws-aws-sdk-go-devel-1.4.22-0.1.git6c577e9.el7.noarch
--> Processing Dependency: golang(golang.org/x/tools/go/loader) for package: golang-github-aws-aws-sdk-go-devel-1.4.22-0.1.git6c577e9.el7.noarch
---> Package golang-github-davecgh-go-spew-devel.noarch 0:0-0.11.git6d21280.el7 will be installed
---> Package golang-github-pmezard-go-difflib-devel.noarch 0:0-0.9.git792786c.el7 will be installed
---> Package golang-github-stretchr-objx-devel.noarch 0:0-0.12.git1a9d0bb.el7 will be installed
--> Finished Dependency Resolution
Error: Package: golang-github-aws-aws-sdk-go-devel-1.4.22-0.1.git6c577e9.el7.noarch (epel)
           Requires: golang(github.com/gucumber/gucumber)
Error: Package: golang-github-aws-aws-sdk-go-devel-1.4.22-0.1.git6c577e9.el7.noarch (epel)
           Requires: golang(github.com/jmespath/go-jmespath)
Error: Package: golang-github-aws-aws-sdk-go-devel-1.4.22-0.1.git6c577e9.el7.noarch (epel)
           Requires: golang(golang.org/x/net/html)
Error: Package: golang-github-aws-aws-sdk-go-devel-1.4.22-0.1.git6c577e9.el7.noarch (epel)
           Requires: golang(github.com/go-ini/ini)
Error: Package: golang-github-aws-aws-sdk-go-devel-1.4.22-0.1.git6c577e9.el7.noarch (epel)
           Requires: golang(golang.org/x/tools/go/loader)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Expected results:
successful installation

Additional info:
I can see that some of the dependencies can resolve if I enable epel-testing, but even with that golang(golang.org/x/net/html) is still missing.

Comment 1 Carl George 2018-04-16 19:40:25 UTC
Possibly depends on https://bugzilla.redhat.com/show_bug.cgi?id=1409553 getting sorted out.

Comment 2 Jan Chaloupka 2018-04-17 07:51:50 UTC
Yes, it depends on #1409553 . We can update only some epel7 Go packages that are not in conflict with RHEL7. I am  trying to get an exception or find a way how to update all relevant epel7 Go packages.


Note You need to log in before you can comment on or make changes to this bug.